From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-text/OCRmyPDF/
Date: Tue, 1 Nov 2022 02:55:08 +0000 (UTC) [thread overview]
Message-ID: <1667135357.d0da00f8e5381f4002886e6a5a3966768134ccf6.tastytea@gentoo> (raw)
commit: d0da00f8e5381f4002886e6a5a3966768134ccf6
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Oct 30 12:39:55 2022 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Sun Oct 30 13:09:17 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d0da00f8
app-text/OCRmyPDF: add missing deps and stuff
Closes: https://bugs.gentoo.org/878795
Closes: https://bugs.gentoo.org/862121
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
...PDF-14.0.1.ebuild => OCRmyPDF-14.0.1-r1.ebuild} | 40 ++++++++++++++--------
1 file changed, 25 insertions(+), 15 deletions(-)
diff --git a/app-text/OCRmyPDF/OCRmyPDF-14.0.1.ebuild b/app-text/OCRmyPDF/OCRmyPDF-14.0.1-r1.ebuild
similarity index 55%
rename from app-text/OCRmyPDF/OCRmyPDF-14.0.1.ebuild
rename to app-text/OCRmyPDF/OCRmyPDF-14.0.1-r1.ebuild
index 813f3f1f0..dadc4dfa5 100644
--- a/app-text/OCRmyPDF/OCRmyPDF-14.0.1.ebuild
+++ b/app-text/OCRmyPDF/OCRmyPDF-14.0.1-r1.ebuild
@@ -10,50 +10,60 @@ inherit bash-completion-r1 distutils-r1 optfeature
DESCRIPTION="OCRmyPDF adds an OCR text layer to scanned PDF files"
HOMEPAGE="https://github.com/ocrmypdf/OCRmyPDF"
-SRC_URI="https://github.com/ocrmypdf/OCRmyPDF/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-LICENSE="MPL-2.0"
+LICENSE="CC-BY-SA-2.5 CC-BY-SA-4.0 MIT MPL-2.0 ZLIB"
SLOT="0"
KEYWORDS="~amd64"
-RESTRICT="test" # Exhausts RAM
RDEPEND="
>=app-text/ghostscript-gpl-9.50
+ >=app-text/pdfminer-20201018[${PYTHON_USEDEP}]
>=app-text/tesseract-4.1.1
- app-text/unpaper
- dev-python/cffi[${PYTHON_USEDEP}]
- >=dev-python/coloredlogs-15.0.1[${PYTHON_USEDEP}]
+ >=dev-python/coloredlogs-14.0[${PYTHON_USEDEP}]
+ >=dev-python/deprecation-2.1.0[${PYTHON_USEDEP}]
>=dev-python/packaging-20[${PYTHON_USEDEP}]
- >dev-python/pdfminer-six-20200720[${PYTHON_USEDEP}]
- >dev-python/pikepdf-5.0.0[${PYTHON_USEDEP}]
+ >dev-python/pikepdf-5.0.1[${PYTHON_USEDEP}]
>=dev-python/pillow-8.2.0[${PYTHON_USEDEP}]
>=dev-python/pluggy-0.13.0[${PYTHON_USEDEP}]
>=dev-python/reportlab-3.5.66[${PYTHON_USEDEP}]
>=dev-python/tqdm-4[${PYTHON_USEDEP}]
>=media-gfx/img2pdf-0.3.0[${PYTHON_USEDEP}]
- media-gfx/pngquant
- media-libs/leptonica
- virtual/python-cffi[${PYTHON_USEDEP}]
"
-DEPEND="
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
+ >=app-text/unpaper-6.1
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
- ~dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ >=media-libs/jbig2enc-0.29
+ >=media-gfx/pngquant-2.5
)
"
distutils_enable_tests pytest
-distutils_enable_sphinx docs --no-autodoc
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-issues \
+ dev-python/sphinx_rtd_theme
export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+src_prepare() {
+ distutils-r1_src_prepare
+ sed -e "/-n auto/d" -i pyproject.toml || die
+}
+
src_install() {
distutils-r1_src_install
newbashcomp misc/completion/ocrmypdf.bash "${PN,,}"
+
insinto /usr/share/fish/vendor_completions.d
doins misc/completion/ocrmypdf.fish
}
pkg_postinst() {
- optfeature "JBIG2 support" media-libs/jbig2enc
+ optfeature "JBIG2 optimization support" media-libs/jbig2enc
+ optfeature "PNG optimization support" media-gfx/pngquant
+ optfeature "image cleaning support" app-text/unpaper
}
next reply other threads:[~2022-11-01 2:55 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-01 2:55 Ronny Gutbrod [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-28 15:12 [gentoo-commits] repo/proj/guru:master commit in: app-text/OCRmyPDF/ David Roman
2025-01-08 13:20 David Roman
2024-12-26 15:36 Julien Roy
2024-10-14 11:30 [gentoo-commits] repo/proj/guru:dev " Florian Schmaus
2024-10-14 11:30 ` [gentoo-commits] repo/proj/guru:master " Florian Schmaus
2024-10-14 11:30 [gentoo-commits] repo/proj/guru:dev " Florian Schmaus
2024-10-14 11:30 ` [gentoo-commits] repo/proj/guru:master " Florian Schmaus
2024-06-25 9:52 David Roman
2024-06-17 23:08 Julien Roy
2024-06-17 23:08 Julien Roy
2023-06-07 7:04 Viorel Munteanu
2023-04-28 17:52 Arthur Zamarin
2023-04-13 7:02 Florian Schmaus
2023-02-06 8:21 Viorel Munteanu
2022-11-16 19:33 Florian Schmaus
2022-11-16 19:33 Florian Schmaus
2022-11-05 15:26 Arthur Zamarin
2022-11-01 2:55 Ronny Gutbrod
2022-10-29 5:54 Arthur Zamarin
2022-07-05 7:14 Florian Schmaus
2022-07-05 7:14 Florian Schmaus
2022-07-05 7:14 Florian Schmaus
2022-06-01 11:17 Andrew Ammerlaan
2022-06-01 11:17 Andrew Ammerlaan
2022-05-29 18:29 Andrew Ammerlaan
2022-03-25 11:24 Ronny Gutbrod
2022-02-23 0:33 Ronny Gutbrod
2022-02-01 10:38 Florian Schmaus
2021-07-03 9:59 Andrew Ammerlaan
2021-04-28 8:08 Andrew Ammerlaan
2021-04-28 8:08 Andrew Ammerlaan
2021-03-27 15:38 Andrew Ammerlaan
2021-03-02 9:02 Theo Anderson
2021-03-02 9:00 [gentoo-commits] repo/proj/guru:dev " Theo Anderson
2021-03-02 9:02 ` [gentoo-commits] repo/proj/guru:master " Theo Anderson
2021-02-16 21:10 Theo Anderson
2021-02-16 21:10 Theo Anderson
2021-02-09 14:46 Andrew Ammerlaan
2021-02-09 14:46 Andrew Ammerlaan
2021-01-11 7:13 Andrew Ammerlaan
2021-01-11 7:13 Andrew Ammerlaan
2021-01-10 11:31 Andrew Ammerlaan
2021-01-10 11:31 Andrew Ammerlaan
2021-01-04 9:34 Andrew Ammerlaan
2021-01-04 9:34 Andrew Ammerlaan
2021-01-04 9:34 Andrew Ammerlaan
2021-01-01 13:14 Andrew Ammerlaan
2020-12-18 19:05 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-12-18 19:05 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-16 19:45 Andrew Ammerlaan
2020-04-16 17:14 Andrew Ammerlaan
2020-04-16 9:59 Andrew Ammerlaan
2020-04-16 9:59 Andrew Ammerlaan
2020-04-16 9:59 Andrew Ammerlaan
2020-04-16 9:59 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1667135357.d0da00f8e5381f4002886e6a5a3966768134ccf6.tastytea@gentoo \
--to=gentoo@tastytea.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox